> ## Documentation Index
> Fetch the complete documentation index at: https://docs.blindsight.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Sessions Widget

> Compact summary of the current user's playground sessions for dashboards.



## OpenAPI

````yaml /api-reference/openapi.json get /api/playground/widgets/sessions
openapi: 3.1.0
info:
  title: Blindsight API
  version: 0.1.0
servers: []
security: []
paths:
  /api/playground/widgets/sessions:
    get:
      tags:
        - playground-integrations
      summary: Sessions Widget
      description: >-
        Compact summary of the current user's playground sessions for
        dashboards.
      operationId: sessions_widget_api_playground_widgets_sessions_get
      parameters:
        - name: X-API-Key
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Api-Key
        - name: blindsight_session
          in: cookie
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Blindsight Session
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SessionsWidgetResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    SessionsWidgetResponse:
      properties:
        total:
          type: integer
          title: Total
        ready:
          type: integer
          title: Ready
        processing:
          type: integer
          title: Processing
        failed:
          type: integer
          title: Failed
        recent:
          items:
            $ref: '#/components/schemas/WidgetSessionBrief'
          type: array
          title: Recent
          default: []
      type: object
      required:
        - total
        - ready
        - processing
        - failed
      title: SessionsWidgetResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    WidgetSessionBrief:
      properties:
        id:
          type: string
          title: Id
        name:
          type: string
          title: Name
        status:
          type: string
          title: Status
        source:
          type: string
          title: Source
        row_count:
          anyOf:
            - type: integer
            - type: 'null'
          title: Row Count
        column_count:
          anyOf:
            - type: integer
            - type: 'null'
          title: Column Count
        updated_at:
          type: string
          title: Updated At
        linked_dataset_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Linked Dataset Id
        hypothesis_count:
          type: integer
          title: Hypothesis Count
          default: 0
      type: object
      required:
        - id
        - name
        - status
        - source
        - updated_at
      title: WidgetSessionBrief
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````